Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.rfid.edge.toolkit.workflow
Class ListOneWayPortType

    java.lang.Object
      com.bea.rfid.edge.toolkit.workflow.ListOneWayPortType

All Implemented Interfaces:
  PortType

    public class ListOneWayPortType

extends Object
implements PortType

Represents a port type that sends or receives one-way list messages containing a certain class of objects.

For convenience, commonly used list port types are defined as constants in this class. Using these constants will also ensure that the same display names are used for the same types.

Field Summary
`static ListOneWayPortType` | `STRING_LIST` Type that sends or receives Lists containing strings.
`static ListOneWayPortType` | `TAG_LIST` Type that sends or receives Lists containing `com.connecterra.ale.api.ECReportGroupListMember`.
`static ListOneWayPortType` | `URI_STRING_LIST` Type that sends or receives Lists containing string representations of URIs.

Constructor Summary
`ListOneWayPortType(Class elementClass, String displayName)` Constructor.

Method Summary
`boolean` | `canAcceptMessage(Object msg)` Determines if the port type will accept the given message.
`String` | `getDisplayName()` Returns the display name for this port type.
`Class` | `getElementClass()` Returns the class of the elements in the list messages that this port sends or receives.
`String` | `getStringRepresentation()` Returns a string representation that uniquely identifies equivalent port types.
`boolean` | `isWirableFrom(PortType fromType)` Determines whether it is valid to connect the given `PortType` to this.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URI_STRING_LIST

    public static final ListOneWayPortType URI_STRING_LIST

  Type that sends or receives Lists containing string representations of URIs. This port type does not ensure that the strings are actually valid URIs, but, is provided just as convenience to use a display name that says it is a List of URI strings.

### STRING_LIST

    public static final ListOneWayPortType STRING_LIST

  Type that sends or receives Lists containing strings.

### TAG_LIST

    public static final ListOneWayPortType TAG_LIST

  Type that sends or receives Lists containing `com.connecterra.ale.api.ECReportGroupListMember`.

Constructor Detail

### ListOneWayPortType

    public ListOneWayPortType(Class elementClass,
                              String displayName)

  Constructor.

  Parameters:
    `elementClass` - The class of the elements in the list messages that this port sends or receives.
    `displayName` - The user facing name for this port type.

Method Detail

### getElementClass

    public Class getElementClass()

  Returns the class of the elements in the list messages that this port sends or receives.

  Returns:
    The class of the elements in the list messages that this port sends or receives.

### isWirableFrom

    public boolean isWirableFrom(PortType fromType)

  Description copied from interface: `PortType`
  Determines whether it is valid to connect the given `PortType` to this. Returns true if it is a valid connection; False otherwise.

  Specified by:
    `isWirableFrom` in interface `PortType`
  Parameters:
    `fromType` - The PortType from which this is to be connected.
  Returns:
    Returns true if it is valid to connect the given `PortType`to this; False otherwise.``

### getDisplayName

    public String getDisplayName()

  Description copied from interface: `PortType`
  Returns the display name for this port type. This value may be used in GUIs and such to give visual cue to users of the modules.

  Specified by:
    `getDisplayName` in interface `PortType`
  Returns:
    Display name of the port type.

### getStringRepresentation

    public String getStringRepresentation()

  Description copied from interface: `PortType`
  Returns a string representation that uniquely identifies equivalent port types. This is a temporary mechanism used to represent a port type in `dynamic set parameters` in `dynamic configuration`.

  Specified by:
    `getStringRepresentation` in interface `PortType`

### canAcceptMessage

    public boolean canAcceptMessage(Object msg)

  Description copied from interface: `PortType`
  Determines if the port type will accept the given message. This method may be used by the edge flow engine for error checking before sending messages to a port.

  Specified by:
    `canAcceptMessage` in interface `PortType`
  Parameters:
    `msg` - The message that is to be sent.
  Returns:
    Returns true if the port type will accept the message. False otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD